Bug 180373 - [patch] install manual pages when DOCS=off for security/stunnel
[patch] install manual pages when DOCS=off for security/stunnel
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ryan Steinmetz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 23:30 UTC by r4721
Modified: 2013-08-09 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.46 KB, patch)
2013-07-07 23:30 UTC, r4721
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description r4721 2013-07-07 23:30:02 UTC
* install manuals when DOCS off (DOCS is supposed to control things like reference documentation, not manual pages)
* sync mirror list with official list
* add LICENSE_FILE
* fix WWW

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-07 23:30:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ryan Steinmetz freebsd_committer 2013-08-08 22:44:57 UTC
I've included a modified version of these changes in my development
directory and they will be committed in the near future.

-r
Comment 3 Ryan Steinmetz freebsd_committer 2013-08-09 00:24:53 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2013-08-09 00:24:53 UTC
Author: zi
Date: Thu Aug  8 23:24:39 2013
New Revision: 324411
URL: http://svnweb.freebsd.org/changeset/ports/324411

Log:
  - Install manpages, regardless of what PORTDOCS is set to [1]
  - Update MASTER_SITES [1]
  - Update WWW [1]
  - Honor PORTEXAMPLES
  - Pacify portlint(1)
  - Do not bump PORTREVISION
  
  PR:		ports/180373 [1]
  Submitted by: 	"r4721@tormail.org" <r4721@tormail.org> [1]

Modified:
  head/security/stunnel/Makefile   (contents, props changed)
  head/security/stunnel/pkg-descr   (contents, props changed)
  head/security/stunnel/pkg-plist   (contents, props changed)

Modified: head/security/stunnel/Makefile
==============================================================================
--- head/security/stunnel/Makefile	Thu Aug  8 22:38:26 2013	(r324410)
+++ head/security/stunnel/Makefile	Thu Aug  8 23:24:39 2013	(r324411)
@@ -4,13 +4,17 @@
 PORTNAME=	stunnel
 PORTVERSION=	4.56
 CATEGORIES=	security
-MASTER_SITES=	ftp://ftp.stunnel.org/stunnel/%SUBDIR%/ \
+MASTER_SITES=	https://www.stunnel.org/downloads/%SUBDIR%/ \
 		http://mirrors.zerg.biz/stunnel/%SUBDIR%/ \
-		ftp://stunnel.mirt.net/stunnel/%SUBDIR%/ \
+		http://mirrors.go-part.com/stunnel/%SUBDIR%/ \
+		http://ftp.nluug.nl/pub/networking/stunnel/%SUBDIR%/ \
 		ftp://ftp.nluug.nl/pub/networking/stunnel/%SUBDIR%/ \
 		http://ftp.nluug.nl/pub/networking/stunnel/%SUBDIR%/ \
 		ftp://ftp.surfnet.nl/pub/networking/stunnel/%SUBDIR%/ \
 		http://ftp.surfnet.nl/pub/networking/stunnel/%SUBDIR%/ \
+		ftp://stunnel.mirt.net/stunnel/%SUBDIR%/ \
+		http://www.namesdir.com/mirrors/stunnel/%SUBDIR%/ \
+		http://stunnel.cybermirror.org/%SUBDIR%/ \
 		http://mirrors.zerg.biz/stunnel/%SUBDIR%/ \
 		http://mirrors.rit.edu/zi/
 MASTER_SITE_SUBDIR=	. obsolete/4.x
@@ -48,9 +52,7 @@ STUNNEL_GROUP?=	stunnel
 USERS=		${STUNNEL_USER}
 GROUPS=		${STUNNEL_GROUP}
 
-.if ${PORT_OPTIONS:MDOCS}
 MAN8=		stunnel.8 stunnel.fr.8 stunnel.pl.8
-.endif
 
 .if ${PORT_OPTIONS:MSSL_PORT}
 USE_OPENSSL=		YES
@@ -93,16 +95,20 @@ post-patch:
 	@${REINPLACE_CMD} -E -e 's|\@prefix\@/var/lib/stunnel/|/var/tmp/stunnel|; \
 		s|nobody|stunnel|;s|nogroup|stunnel|' \
 		${WRKSRC}/tools/stunnel.conf-sample.in
-	${REINPLACE_CMD} -E -e 's|\$$\(prefix\)/var/run/stunnel/stunnel.pid|$$(localstatedir)/stunnel.pid|' \
+	@${REINPLACE_CMD} -E -e 's|\$$\(prefix\)/var/run/stunnel/stunnel.pid|$$(localstatedir)/stunnel.pid|' \
 		${WRKSRC}/src/Makefile.in
 	@${FIND} ${WRKSRC} -type f -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -E -e 's,@(ACLOCAL|AUTO(MAKE|CONF|HEADER))@,/usr/bin/true,'
 	@${REINPLACE_CMD} -E -e 's|install-confDATA install-data-local|install-confDATA|g' \
 		${WRKSRC}/tools/Makefile.in
 .if empty(PORT_OPTIONS:MDOCS)
-	@${REINPLACE_CMD} -E -e 's/ install-docDATA/ /; s/^(SUBDIRS.+)doc/\1/' \
-		${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -E -e 's/ install-docDATA/ /' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -E -e '/install-data-am/s,install-docDATA,,' ${WRKSRC}/doc/Makefile.in
+.endif
+.if empty(PORT_OPTIONS:MEXAMPLES)
 	@${REINPLACE_CMD} -E -e 's/([^n])install-examplesDATA/\1/' \
 		${WRKSRC}/tools/Makefile.in
+.else
+	@${REINPLACE_CMD} -E -e 's|\$$\(docdir\)/examples|${EXAMPLESDIR}|g' ${WRKSRC}/tools/Makefile.in
 .endif
 
 post-install:

Modified: head/security/stunnel/pkg-descr
==============================================================================
--- head/security/stunnel/pkg-descr	Thu Aug  8 22:38:26 2013	(r324410)
+++ head/security/stunnel/pkg-descr	Thu Aug  8 23:24:39 2013	(r324411)
@@ -8,4 +8,4 @@ stunnel can be used to add  SSL  functio
 used  inetd  daemons  like  POP-2,  POP-3  and  IMAP servers
 without any changes in the programs' code.
 
-WWW: http://stunnel.org/
+WWW: https://www.stunnel.org/

Modified: head/security/stunnel/pkg-plist
==============================================================================
--- head/security/stunnel/pkg-plist	Thu Aug  8 22:38:26 2013	(r324410)
+++ head/security/stunnel/pkg-plist	Thu Aug  8 23:24:39 2013	(r324411)
@@ -1,3 +1,4 @@
+@comment $FreeBSD$
 bin/stunnel
 bin/stunnel3
 %%ETCDIR%%/stunnel.conf-sample
@@ -7,14 +8,15 @@ lib/stunnel/libstunnel.so
 %%PORTDOCS%%%%DOCSDIR%%/stunnel.html
 %%PORTDOCS%%%%DOCSDIR%%/stunnel.fr.html
 %%PORTDOCS%%%%DOCSDIR%%/stunnel.pl.html
-%%PORTDOCS%%%%DOCSDIR%%/examples/ca.html
-%%PORTDOCS%%%%DOCSDIR%%/examples/ca.pl
-%%PORTDOCS%%%%DOCSDIR%%/examples/importCA.html
-%%PORTDOCS%%%%DOCSDIR%%/examples/importCA.sh
-%%PORTDOCS%%%%DOCSDIR%%/examples/script.sh
-%%PORTDOCS%%%%DOCSDIR%%/examples/stunnel.init
-%%PORTDOCS%%%%DOCSDIR%%/examples/stunnel.service
-%%PORTDOCS%%%%DOCSDIR%%/examples/stunnel.spec
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ca.html
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ca.pl
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/importCA.html
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/importCA.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/script.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/stunnel.init
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/stunnel.service
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/stunnel.spec
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/BUGS
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
@@ -28,7 +30,7 @@ lib/stunnel/libstunnel.so
 %%PORTDOCS%%%%DOCSDIR%%/PORTS
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/TODO
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/stunnel
-@unexec rmdir %D/etc/stunnel 2>/dev/null || echo "If you are permanently removing this port, you should do a ``rm -rf ${PKG_PREFIX}/etc/stunnel`` to remove any configuration files left." | fmt
+@dirrmtry etc/stunnel
+@unexec if [ -d %D/etc/stunnel ]; then echo "If you are permanently removing this port, you should run ``rm -rf %D/etc/stunnel`` to remove any configuration files left."; fi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"